Bug 225895 - audio/gradio: fails to build because meson builds wrong ninja files
Summary: audio/gradio: fails to build because meson builds wrong ninja files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL: https://github.com/mesonbuild/meson/i...
Keywords:
Depends on: 225937
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-14 15:27 UTC by lenzi.sergio
Modified: 2018-02-28 11:11 UTC (History)
2 users (show)

See Also:
arved: maintainer-feedback+


Attachments
patch (1.44 KB, patch)
2018-02-16 03:11 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (1.46 KB, patch)
2018-02-19 08:19 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (1.46 KB, patch)
2018-02-19 08:30 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (arved)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lenzi.sergio 2018-02-14 15:27:02 UTC
ninja: error: '../external/gd/libgd/external/gd/libgd/gd-tagged-entry-default.css', needed by 'external/gd/libgd/gd-tagged-entry-resources.c', missing and no known rule to make it
===> Compilation failed unexpectedly.
Note that the ninja build file points to ../external/gd/libgd/external/gd/libgd/gd-tagged-entry-default.css   instead of ../external/gd/libgd/gd-tagged-entry-default.css

I could not track what files  meson uses to build the wrong dependencies for external
Comment 1 Carlos J. Puga Medina freebsd_committer 2018-02-16 03:11:11 UTC
Created attachment 190670 [details]
patch

- Switch to USES=sqlite:3
- Add USES=pkgconfig
- Remove USES=ninja because meson uses ninja by default.
- Sort USES and USE_GNOME
- Add GLIB_SCHEMAS to install properly de.haeckerfelix.gradio.gschema.xml otherwise gradio crashes
- Bump PORTREVISION
Comment 2 Tilman Keskinoz freebsd_committer 2018-02-16 07:57:34 UTC
I will probably miss tracking the meson issue. So feel free to commit when 225937 is approved
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-02-19 08:19:08 UTC
Created attachment 190784 [details]
patch

- Add missing plugins in USE_GSTREAMER1
Comment 4 Carlos J. Puga Medina freebsd_committer 2018-02-19 08:30:24 UTC
Created attachment 190786 [details]
patch

- Default SQLITE_VER is set to 3
Comment 5 Carlos J. Puga Medina freebsd_committer 2018-02-19 08:32:34 UTC
(In reply to Tilman Keskinoz from comment #2)

I'll do it, thanks!
Comment 6 Tilman Keskinoz freebsd_committer 2018-02-28 09:39:52 UTC
ok, the meson PR has been committed, but now I get the failure:

===>  gradio-7.1_1 cannot install: unknown gstreamer 1.4 plugin -- mp123.
Comment 7 Carlos J. Puga Medina freebsd_committer 2018-02-28 09:52:17 UTC
(In reply to Tilman Keskinoz from comment #6)

s/mp123/mpg123
Comment 8 commit-hook freebsd_committer 2018-02-28 11:09:53 UTC
A commit references this bug:

Author: cpm
Date: Wed Feb 28 11:09:15 UTC 2018
New revision: 463194
URL: https://svnweb.freebsd.org/changeset/ports/463194

Log:
  audio/gradio: unbreak build, undeprecate

  - Switch to USES=sqlite
  - Add missing USES=pkgconfig
  - Remove USES=ninja because meson implicitly uses ninja
  - Sort USES and USE_GNOME
  - Add missing plugins in USE_GSTREAMER1
  - Add GLIB_SCHEMAS to install properly de.haeckerfelix.gradio.gschema.xml
  - Bump PORTREVISION

  PR:		225895
  Submitted by:	cpm
  Reported by:	Sergio Lenzi <lenzi.sergio@gmail.com>
  Approved by:	arved (maintainer)

Changes:
  head/audio/gradio/Makefile
  head/audio/gradio/pkg-plist